Description: Fix constants for wxwidgets3.0
 The values of wx constants can change between stable release series (and
 some have between 2.8 and 3.0), but erlang seems to hardcode these values.
Author: Olly Betts <olly@survex.com>
Bug-Debian: https://bugs.debian.org/766790
Forwarded: no
Last-Update: 2014-11-25

--- a/lib/wx/include/wx.hrl
+++ b/lib/wx/include/wx.hrl
@@ -767,7 +767,7 @@
 % From "checkbox.h"
 -define(wxCHK_ALLOW_3RD_STATE_FOR_USER, 8192).
 -define(wxCHK_3STATE, 4096).
--define(wxCHK_2STATE, 0).
+-define(wxCHK_2STATE, 16384).
 % From "checkbox.h": wxCheckBoxState
 -define(wxCHK_UNCHECKED, 0).
 -define(wxCHK_CHECKED, 1).
@@ -1014,10 +1014,10 @@
 -define(wxSIZE_AUTO_WIDTH, 1).
 -define(wxSETUP, 131072).
 -define(wxMORE, 65536).
--define(wxHELP, 32768).
--define(wxRESET, 16384).
--define(wxBACKWARD, 8192).
--define(wxFORWARD, 4096).
+-define(wxHELP, 4096).
+-define(wxRESET, 32768).
+-define(wxBACKWARD, 16384).
+-define(wxFORWARD, 8192).
 -define(wxICON_MASK, (16#00000100 bor 16#00000200 bor 16#00000400 bor 16#00000800)).
 -define(wxICON_ASTERISK, ?wxICON_INFORMATION).
 -define(wxICON_STOP, ?wxICON_HAND).
@@ -1049,8 +1049,8 @@
 -define(wxTC_TOP, 0).
 -define(wxTC_FIXEDWIDTH, 32).
 -define(wxTC_RIGHTJUSTIFY, 16).
--define(wxSP_WRAP, 8192).
--define(wxSP_ARROW_KEYS, 4096).
+-define(wxSP_WRAP, 32768).
+-define(wxSP_ARROW_KEYS, 16384).
 -define(wxSP_VERTICAL, ?wxVERTICAL).
 -define(wxSP_HORIZONTAL, ?wxHORIZONTAL).
 -define(wxSB_VERTICAL, ?wxVERTICAL).
@@ -1071,8 +1071,8 @@
 -define(wxCB_SIMPLE, 4).
 -define(wxLB_INT_HEIGHT, 2048).
 -define(wxLB_HSCROLL, ?wxHSCROLL).
--define(wxLB_ALWAYS_SB, 1024).
--define(wxLB_NEEDED_SB, 512).
+-define(wxLB_ALWAYS_SB, 512).
+-define(wxLB_NEEDED_SB, 0).
 -define(wxLB_OWNERDRAW, 256).
 -define(wxLB_EXTENDED, 128).
 -define(wxLB_MULTIPLE, 64).
@@ -1548,7 +1548,7 @@
 -define(wxUPDATE_UI_FROMIDLE, 2).
 % From "dialog.h"
 -define(wxDEFAULT_DIALOG_STYLE, (?wxCAPTION bor ?wxSYSTEM_MENU bor ?wxCLOSE_BOX)).
--define(wxDIALOG_NO_PARENT, 1).
+-define(wxDIALOG_NO_PARENT, 32).
 % From "dirctrlg.h"
 -define(wxDIRCTRL_DIR_ONLY, 16).
 -define(wxDIRCTRL_SELECT_FIRST, 32).
@@ -3728,7 +3728,7 @@
 -define(wxSTC_KEY_LEFT, 302).
 -define(wxSTC_KEY_UP, 301).
 -define(wxSTC_KEY_DOWN, 300).
--define(wxSTC_MODEVENTMASKALL, 8191).
+-define(wxSTC_MODEVENTMASKALL, 1048575).
 -define(wxSTC_MULTILINEUNDOREDO, 4096).
 -define(wxSTC_MOD_BEFOREDELETE, 2048).
 -define(wxSTC_MOD_BEFOREINSERT, 1024).
@@ -3810,7 +3810,7 @@
 -define(wxSTC_INDIC_TT, 2).
 -define(wxSTC_INDIC_SQUIGGLE, 1).
 -define(wxSTC_INDIC_PLAIN, 0).
--define(wxSTC_INDIC_MAX, 7).
+-define(wxSTC_INDIC_MAX, 31).
 -define(wxSTC_CASE_LOWER, 2).
 -define(wxSTC_CASE_UPPER, 1).
 -define(wxSTC_CASE_MIXED, 0).
@@ -3835,7 +3835,7 @@
 -define(wxSTC_CHARSET_BALTIC, 186).
 -define(wxSTC_CHARSET_DEFAULT, 1).
 -define(wxSTC_CHARSET_ANSI, 0).
--define(wxSTC_STYLE_MAX, 127).
+-define(wxSTC_STYLE_MAX, 255).
 -define(wxSTC_STYLE_LASTPREDEFINED, 39).
 -define(wxSTC_STYLE_CALLTIP, 38).
 -define(wxSTC_STYLE_INDENTGUIDE, 37).
@@ -3934,9 +3934,9 @@
 -define(wxTE_PROCESS_TAB, 64).
 -define(wxTE_MULTILINE, 32).
 -define(wxTE_READONLY, 16).
--define(wxTE_AUTO_SCROLL, 8).
+-define(wxTE_AUTO_SCROLL, 0).
 -define(wxTE_NO_VSCROLL, 2).
--define(wxHAS_TEXT_WINDOW_STREAM, 0).
+-define(wxHAS_TEXT_WINDOW_STREAM, 1).
 % From "textctrl.h": wxTextAttrAlignment
 -define(wxTEXT_ALIGNMENT_DEFAULT, 0).
 -define(wxTEXT_ALIGNMENT_LEFT, 1).
@@ -3986,7 +3986,7 @@
 -define(wxDEFAULT_FRAME_STYLE, (?wxSYSTEM_MENU bor ?wxRESIZE_BORDER bor ?wxMINIMIZE_BOX bor ?wxMAXIMIZE_BOX bor ?wxCLOSE_BOX bor ?wxCAPTION bor ?wxCLIP_CHILDREN)).
 -define(wxRESIZE_BORDER, 64).
 -define(wxTINY_CAPTION_VERT, 128).
--define(wxTINY_CAPTION_HORIZ, 256).
+-define(wxTINY_CAPTION_HORIZ, 128).
 -define(wxMAXIMIZE_BOX, 512).
 -define(wxMINIMIZE_BOX, 1024).
 -define(wxSYSTEM_MENU, 2048).
